Project

General

Profile

Demande #3812

pad.april.org : migrer nodejs de 6.x en 10.x

Added by Christian P. Momon 3 months ago. Updated 24 days ago.

Status:
Fermé
Priority:
Élevée
Assignee:
Category:
-
Target version:
Start date:
07/14/2019
Due date:
% Done:

0%

Difficulté:
2 Facile

Description

Actuellement, NodeJS est installé via le dépôt NodeSource configuré pour la version 6.x :

deb https://deb.nodesource.com/node_6.x stretch main
deb-src https://deb.nodesource.com/node_6.x stretch main

Mais la dernière version disponible sur Stretch backports est la 8.x :
https://packages.debian.org/search?suite=stretch&searchon=names&keywords=nodejs

Package nodejs

stretch-backports (javascript): evented I/O for V8 javascript
8.11.1~dfsg-2~bpo9+1: amd64 arm64 armhf i386 mips mips64el mipsel ppc64el s390x 

La version 6.* est EOL depuis Avril 2019. Pour bénéficier des mises à jour de sécurité il faut upgrade à la version 10.*. La version 8.* est maintenue jusque Décembre 2019 seulement et la version 12 est encore en préparation donc pas assez stable pour une installation en production.

Questions :
  • n'est-il pas utile/recommandé/nécessaire de passer en 8.x ?
  • quel dépôt choisir : NodeSource ou Debian-backports ?

Related issues

Related to Admins - Anomalie #3814: pad.april.org : deux versions différentes de npm cohabitent Nouveau 07/14/2019
Duplicated by Admins - Anomalie #3810: pad.april.org : logs de vulnérabilités Rejeté 07/14/2019

History

#1 Updated by Christian P. Momon 3 months ago

  • Description updated (diff)

Pour information,

#2 Updated by Christian P. Momon 3 months ago

Pour information, la version de Buster est la suivante :
https://packages.debian.org/search?suite=buster&searchon=names&keywords=nodejs

Package nodejs

    buster (stable) (web): evented I/O for V8 javascript - runtime executable
    10.15.2~dfsg-2: amd64 arm64 armhf i386 mips mips64el mipsel ppc64el s390x

#3 Updated by Loïc Dachary about 1 month ago

  • Subject changed from pad.april.org : migrer nodejs de 6.x en 8.x to pad.april.org : migrer nodejs de 6.x en 10.x
  • Description updated (diff)
  • Priority changed from Normale to Élevée

#4 Updated by Loïc Dachary about 1 month ago

  • Related to Anomalie #3814: pad.april.org : deux versions différentes de npm cohabitent added

#5 Updated by Loïc Dachary about 1 month ago

  • Status changed from Nouveau to En cours de traitement
  • Assignee set to Loïc Dachary

#6 Updated by Loïc Dachary about 1 month ago

  • cat > /etc/apt/sources.list.d/nodejs.list <<EOF
    deb https://deb.nodesource.com/node_10.x stretch main
    deb-src https://deb.nodesource.com/node_10.x stretch main
    EOF
    apt-get update
    
  • prévenir sur #april
  • apt-get install nodejs
  • systemctl restart etherpad-lite.service
  • vérifier manuellement que le service fonctionne

#7 Updated by Loïc Dachary about 1 month ago

  • Duplicated by Anomalie #3810: pad.april.org : logs de vulnérabilités added

#8 Updated by Loïc Dachary about 1 month ago

  • Status changed from En cours de traitement to Résolu

Mise a jour terminé, tests effectués

#9 Updated by Quentin Gibeaux 26 days ago

  • Target version changed from Backlog to Septembre 2019

#10 Updated by Quentin Gibeaux 24 days ago

  • Status changed from Résolu to Fermé

Also available in: Atom PDF